/* tag: kerberos utility functions (header)
 *
 * Copyright (C) 2000  Andrew Chatham
 * Copyright (C) 2003  Charles Duffy
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef KRB_UTIL_H_
#define KRB_UTIL_H_

#include <string.h>

typedef struct _krb_error {
  int code;
  char message[255];
} krb_error;

krb_error krb_get_tickets(char *princ, char *pass);
krb_error krb_time_left(int *t);
char *krb_time_left_as_string(void);

#ifdef DO_KRBAFS
int get_afs_tokens(void);
#endif

#endif // KRB_UTIL_H_
